body.page-loading {
  margin: 0;
  height: 100%;
  overflow: hidden;
  transition: none !important;
  font-family: Inter, Helvetica, 'sans-serif';
  -webkit-font-smoothing: antialiased;
}

.splash-screen {
  display: none;
}

.page-loading .splash-screen {
  position: absolute;
  z-index: 99999;
  width: 100vw;
  height: 100vh;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  gap: 0.25rem;
  background-color: #fff;
}

html[data-bs-theme='dark'] .page-loading .splash-screen {
  background-color: #000000;
  color: #ffffff;
}

.page-loading .splash-screen .loading-text {
  color: #99a1b7;
  font-size: 0.825rem;
  font-weight: 500;
}

.page-loading .splash-screen .loader-title {
  font-size: 1.5rem;
  color: transparent;
  line-height: 1;
  position: relative;
  display: inline-flex;
  gap: 0.2rem;
}

.page-loading .splash-screen .loader-title b {
  font-weight: 600;
  background-image: linear-gradient(to right, #f24444, #f62e2e);
  background-clip: text;
  -webkit-background-clip: text;
}

.page-loading .splash-screen .loader-title span {
  font-weight: 100;
  color: #151521;
}

html[data-bs-theme='dark'] .page-loading .splash-screen .loader-title span {
  color: #ffffff;
}

.page-loading .splash-screen .loader-title::after {
  content: '';
  display: inline-block;
  width: 40%;
  height: 150%;
  position: absolute;
  left: -50%;
  top: 50%;
  transform: translateY(-50%) rotate(19deg);
  z-index: 10;
  animation: words-blinking 2s infinite;
  background: -moz-linear-gradient(
    left,
    rgba(255, 255, 255, 0.1) 0%,
    rgba(255, 255, 255, 0.8) 50%,
    rgba(255, 255, 255, 0.1) 100%
  );
  background: -webkit-linear-gradient(
    left,
    rgba(255, 255, 255, 0.1) 0%,
    rgba(255, 255, 255, 0.8) 50%,
    rgba(255, 255, 255, 0.1) 100%
  );
  background: linear-gradient(
    to right,
    rgba(255, 255, 255, 0.1) 0%,
    rgba(255, 255, 255, 0.8) 50%,
    rgba(255, 255, 255, 0.1) 100%
  );
  filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#1affffff', endColorstr='#1affffff',GradientType=1 );
}

html[data-bs-theme='dark'] .page-loading .splash-screen .loader-title::after {
  background: -moz-linear-gradient(left, rgba(0, 0, 0, 0.1) 0%, rgba(0, 0, 0, 0.8) 50%, rgba(0, 0, 0, 0.1) 100%);
  background: -webkit-linear-gradient(left, rgba(0, 0, 0, 0.1) 0%, rgba(0, 0, 0, 0.8) 50%, rgba(0, 0, 0, 0.1) 100%);
  background: linear-gradient(to right, rgba(0, 0, 0, 0.1) 0%, rgba(0, 0, 0, 0.8) 50%, rgba(0, 0, 0, 0.1) 100%);
  filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#1a000000', endColorstr='#1a000000',GradientType=1 );
}

.page-loading .splash-screen .splash-logo {
  height: 2.125rem;
}

.splash-screen .dark-logo {
  display: none;
}

.splash-screen .light-logo {
  display: block;
}

html[data-bs-theme='dark'] .splash-screen .light-logo {
  display: none;
}

html[data-bs-theme='dark'] .splash-screen .dark-logo {
  display: block;
}

.loader {
  width: 1rem;
  height: 1rem;
  border: 2px solid #95adc9;
  border-bottom-color: transparent;
  border-radius: 50%;
  display: inline-block;
  box-sizing: border-box;
  -webkit-animation: rotation 0.65s linear infinite;
  animation: rotation 0.65s linear infinite;
}

@-webkit-keyframes rotation {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }
}

@keyframes rotation {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }
}

.loader-wrapper {
  display: flex;
  align-items: center;
  gap: 0.75rem;
  overflow: hidden;
  height: 2rem;
}

@keyframes words-blinking {
  form {
    left: -100%;
  }
  to {
    left: 150%;
  }
}
